Bug 591911

Summary: [abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: bifrost
Component: firefoxAssignee: Gecko Maintainer <gecko-bugs-nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: campbecg, gecko-bugs-nobody
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: abrt_hash:f79310a3b1fb4cdc5c99510aa7da42292f7981a7
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 14:44:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace none

Description bifrost 2010-05-13 13:31:41 UTC
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.5/firefox
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/firefox-3.5/firefox
global_uuid: f79310a3b1fb4cdc5c99510aa7da42292f7981a7
kernel: 2.6.32.11-99.fc12.i686.PAE
package: firefox-3.5.9-2.fc12
rating: 4
reason: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.watching some on youtube
2.
3.

Comment 1 bifrost 2010-05-13 13:31:45 UTC
Created attachment 413761 [details]
File: backtrace

Comment 2 Chris Campbell 2010-05-14 11:46:23 UTC
#3  <signal handler called>
No symbol table info available.
#4  0x03c08521 in nsViewManager::DoSetWindowDimensions (this=0xa859eb20, 
    aWidth=-2147483648, aHeight=-2147483520) at nsViewManager.h:324
        newDim = {x = 0, y = 0, width = -2147483648, height = -2147483520}
#5  0x03c04ddb in nsViewManager::FlushDelayedResize (this=0xa859eb20)
    at nsViewManager.cpp:385
No locals.
#6  0x03981558 in PresShell::DoFlushPendingNotifications (this=0xa6c6e000, 
    aType=Flush_Layout, aInterruptibleReflow=1) at nsPresShell.cpp:4869
        kungFuDeathGrip = {<nsCOMPtr_base> = {mRawPtr = 
    0xa6c6e000}, <No data fields>}
        batch = {mRootVM = {<nsCOMPtr_base> = {mRawPtr = 
    0xa8b2fc40}, <No data fields>}}
        updateFlags = <value optimized out>
        isSafeToFlush = 1
        viewManagerDeathGrip = {<nsCOMPtr_base> = {mRawPtr = 
    0xa859eb20}, <No data fields>}
#7  0x039816b4 in PresShell::WillPaint (this=0xa6c6e000)
    at nsPresShell.cpp:6407
No locals.
#8  0x03c06d55 in nsViewManager::FlushPendingInvalidates (this=0xa8b2fc40)
    at nsViewManager.cpp:2235
        observer = <value optimized out>
        vm = <value optimized out>
        refreshEnabled = <value optimized out>
        index = 18
#9  0x03c06e38 in nsViewManager::EnableRefresh (this=0xa8b2fc40, aUpdateFlags=
    0) at nsViewManager.cpp:1971
No locals.
#10 0x03c0563c in nsViewManager::EndUpdateViewBatch (this=0xa8b2fc40, 
    aUpdateFlags=0) at nsViewManager.cpp:2014
        result = 0
#11 0x0395990d in nsIViewManager::UpdateViewBatch::EndUpdateViewBatch (this=
    0xbfa2ac0c, aUpdateFlags=0)
    at ../../dist/include/view/nsIViewManager.h:384
No locals.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Chris Campbell 2010-05-14 11:48:16 UTC
Reporter, is this crash reproducible? If so, please submit specific steps.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 bifrost 2010-05-14 17:24:16 UTC
just opening many tabs on youtube video and after some visualization flash will crash. reload the page and flash will resurrect, but after some time sometimes (and video visualization) the crash happen.
no other user program running

Comment 5 Bug Zapper 2010-11-03 14:57:10 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-03 14:44:45 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.